%{?nodejs_find_provides_and_requires}

%global packagename ware

# Tests currently disabled due to unhandled promise rejection
%global enable_tests 0

Name:		nodejs-ware
Version:	1.3.0
Release:	4%{?dist}
Summary:	Easily create your own middleware layer

License:	MIT
URL:		https://github.com/segmentio/ware
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(wrap-fn)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(co-mocha)
BuildRequires:	npm(gnode)
%endif

%description
Easily create your own middleware layer.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

# Create license file from end of Readme.md
sed -e '0,/^## License/d' Readme.md > LICENSE.md

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
mkdir -p node_modules/.bin/
ln -s %{_bindir}/mocha node_modules/.bin/mocha
mocha --require co-mocha \
	--require gnode \
	--reporter spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc History.md Readme.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Aug  8 2016 Jared Smith <jsmith@fedoraproject.org> - 1.3.0-1
- Initial packaging
